# Userful tools

This just a raw list.

## Tools

### Terminal

- https://github.com/ohmyzsh/ohmyzsh
  - https://github.com/romkatv/powerlevel10k
  - https://github.com/zsh-users/zsh-autosuggestions
- https://github.com/junegunn/fzf
  - https://github.com/junegunn/fzf-git.sh
- https://github.com/folke/lazy.nvim

- https://github.com/sharkdp/fd
- https://github.com/sharkdp/bat
- https://github.com/BurntSushi/ripgrep
- https://github.com/dandavison/delta
- https://github.com/ogham/exa
- https://github.com/zellij-org/zellij

- https://github.com/adrianlopezroche/fdupes
- https://github.com/WayneD/rsync
- https://github.com/rclone/rclone
- https://github.com/restic/restic
- https://github.com/ayoisaiah/f2

- https://github.com/dbrgn/tealdeer
- https://github.com/GothenburgBitFactory/taskwarrior
- https://github.com/dundee/gdu
- https://github.com/muesli/duf
- https://github.com/charmbracelet/glow
- https://github.com/sharkdp/vivid

Memory

- https://github.com/junegunn/vim-plug
- https://github.com/wbthomason/packer.nvim
- https://dev.yorhel.nl/ncdu
- https://github.com/Wilfred/difftastic
- https://github.com/jonas/tig
- https://github.com/extrawurst/gitui
- https://github.com/wustho/epr

For fun

- https://github.com/asciinema/asciinema
  - https://github.com/asciinema/agg
- https://github.com/Gobidev/pfetch-rs
- https://github.com/jarun/nnn
  - https://github.com/ImageMagick/ImageMagick
  - https://github.com/dirkvdb/ffmpegthumbnailer
- https://github.com/Genymobile/scrcpy
- https://github.com/libjxl/libjxl
- https://github.com/yt-dlp/yt-dlp

Fun memory

- https://github.com/htop-dev/htop
- https://github.com/aristocratos/btop
- https://github.com/dylanaraps/neofetch
- https://github.com/dylanaraps/pfetch
- https://github.com/Dr-Noob/cpufetch
- https://github.com/o2sh/onefetch
- https://gitlab.com/jallbrit/cbonsai
- https://github.com/ytdl-org/youtube-dl
- https://github.com/instaloader/instaloader

### UI

- https://github.com/kovidgoyal/kitty
- https://github.com/wez/wezterm
- https://transmissionbt.com/
- https://tailscale.com/
- https://www.libreoffice.org/
- https://github.com/johnfactotum/foliate
- https://www.xnview.com/en/xnviewmp/

Memory

- https://github.com/alacritty/alacritty

#### macOS

- https://theunarchiver.com/
- https://github.com/iina/iina
- https://github.com/pilotmoon/Scroll-Reverser
- https://github.com/rxhanson/Rectangle
- https://github.com/waydabber/BetterDisplay
- https://github.com/pedrommcarrasco/Brooklyn
- https://github.com/ganeshrvel/openmtp
- https://github.com/coteditor/CotEditor
- https://github.com/lwouis/alt-tab-macos

Memory

- https://www.tunabellysoftware.com/balance_lock/
- https://github.com/tuyenvm/OpenKey
- https://github.com/objective-see/LuLu
- https://github.com/ivoronin/TomatoBar
- https://github.com/pqrs-org/Karabiner-Elements
- https://zed.dev/

## Developement

### Terminal

- https://github.com/Schniz/fnm
- https://github.com/oven-sh/bun
- https://github.com/pypa/pipx
- https://github.com/sdkman/sdkman-cli

Format

- https://github.com/prettier/prettier
- https://github.com/mvdan/sh
- https://github.com/JohnnyMorganz/StyLua
- https://github.com/tamasfe/taplo

Language server

- https://github.com/golang/tools/tree/master/gopls
- https://github.com/bufbuild/buf-language-server
- https://github.com/luals/lua-language-server

Misc

- https://github.com/mikefarah/yq
- https://github.com/itchyny/gojq
- https://github.com/plantuml/plantuml

Memory

- https://github.com/stedolan/jq
- https://github.com/sigstore/gitsign
- https://github.com/gitleaks/gitleaks
- https://github.com/tailscale/golink
- https://github.com/burntsushi/toml
- https://github.com/koalaman/shellcheck
- https://github.com/bojand/ghz
- https://github.com/sharkdp/hyperfine
- https://github.com/boyter/cs

#### Go

- https://github.com/mvdan/gofumpt
- https://github.com/golangci/golangci-lint
- https://pkg.go.dev/golang.org/x/tools/go/analysis/passes/fieldalignment
- https://github.com/gotestyourself/gotestsum

Memory

- https://github.com/maruel/panicparse
- https://github.com/go101/golds
- https://github.com/burrowers/garble

### UI

- https://www.sublimemerge.com/
- https://insomnia.rest/
- https://httpie.io/desktop
- https://redis.com/redis-enterprise/redis-insight/
- https://www.jetbrains.com/datagrip/

Memory

- https://www.sublimetext.com/
- https://github.com/MuhammedKalkan/OpenLens

### macOS

Memory

- https://gpgtools.org/

## Games

- https://github.com/PCSX2/pcsx2
- https://github.com/RPCS3/rpcs3
- https://github.com/cheat-engine/cheat-engine

## Notes

MacPorts/native package manager > go/rust/pip.

Ignore HomeBrew, nix (for now).

Don't install:

- Postman
- Lens
- Sourcegraph
- Docker Desktop
- Any JetBrains IDE beside DataGrip

## Misc

Don't enable plugin `git` in ohmyzsh.

### macOS

Hide Developer in Spotlight:

```sh
cd /Applications
touch Xcode.app

# Xcode mini version
xcode-select --install
```

### Linux

Fix black screen when open game in fullscreen in external monitor with
[kazysmaster/gnome-shell-extension-disable-unredirect](https://github.com/kazysmaster/gnome-shell-extension-disable-unredirect)

### Firefox

`about:config`:

- Disable unused features:

  - `extensions.pocket.enabled`: false
  - `identity.fxaccounts.enabled`: false
  - `reader.parse-on-load.enabled`: false

- Good settings:

  - `media.videocontrols.picture-in-picture.video-toggle.always-show`: true
  - `network.IDN_show_punycode`: true

- Encrypted Client Hello (ECH):

  - `network.dns.echconfig.enabled`: true
  - `network.dns.use_https_rr_as_altsvc`: true

- Experiment
  - `image.jxl.enabled`: true

## Thanks

- [My list of useful command line tools](https://boyter.org/posts/my-list-of-useful-command-line-tools/)
- [Useful Customizations for Firefox](http://www.quippd.com/firefox/wiki/useful-customizations/)
- [Encrypted Client Hello: the future of ESNI in Firefox](https://blog.mozilla.org/security/2021/01/07/encrypted-client-hello-the-future-of-esni-in-firefox/)
- [Phishing with Unicode Domains](https://www.xudongz.com/blog/2017/idn-phishing/)
- https://sizeof.cat/links/
